# test for lock-file and create one (Linux,OSF1,..)
#!if test -r tmp/pid; then echo \"Warning: [tmp/pid] is running or was killed (please delete tmp/pid)\"; kill $PPID; sleep 10; else echo $PPID >tmp/pid; fi
# remove (#) on next line to get cpu.log (Linux,IRIX,SunOS,OSF1) ToDo: psr+-m
#! while ps -o pid,pcpu,time,etime,rss,vsz,inblock,oublock,cmd -p $PPID; do sleep 10; done >cpu.log & # for OSF
#! while ps -o pid,pcpu,time,etime,args -p $PPID; do sleep 10; done >cpu.log & # other
#verbose=3   # verbose output (default: 3, overrides option -vNUM)
#            #  +1 time+prec., +2 H-statistics, +4 time consuming checks,
#!free -m    # show free mem, expecially cache may slow down for numa systems
#                      +8 symmetry debugging, +16 disk-I/O, +32 H-elements,
xout=3 10     # x_p 3 output format 0=uncompressed, 3=compressed, x_max 10 components
#chkpt_mode=0  # 1:store checkpoints, 2,3:set up after crash
#chkpt_load=0 # last checkpoint before crash
# old: set memory limits in daten.i, also try --mca mpi_preconnect_mpi 1
#maxfile=10e9   # 10e9=10GB max. stored matrix size per thread, 0=0B
#maxfile=21e9   #  24GB/core =768GB/32c (quanta1+2 ToDo sbatch --mem=736000)
#maxfile=13e9   #  16GB/core =256GB/16cores (172t100 -20GBlibmpi? ToDo!)
#maxfile=7500e6 #   8GB/core =128GB/16cores (22comp2) =224GB/28cores (meggie)
#maxfile=3500e6 #   4GB/core =32GB/8cores (30quantum)
#maxfile=480e6  # 666MB/core =4GB/6cores (972kautz)  ToDo: use set/getrlimit()
# new (2011-12): use job-limits or ulimit -v
#maxmem=0    # max. vector memory per task, obsolete 2013, use ulimit -v
pew=1        # number of EWs for convergence proof 0..NEW-1
nev=0        # number of lowest eigenvectors nev=0..NEV
ne0=0        # offset of lowest eigenvectors ne0=0..NEW-1
max_ea=0     # proof for degeneracy max_ea>0
startvec=4   # 1=(1,0,0,...) 2=load(d0.vec=bin) 3=load(s0.vec=txt)
#              4=random 5=lowHdiag 6=no_startvec ini+=startvec&~7
z_anisotropy=1.0   # 1.0 for the isotropic case (obsolete, use zN in .def)
xy_anisotropy=1.0  # 1.0 for the isotropic case (obsolete, use zN in .def)
newtime      # reset the internal clock
sisj=4       # bitpattern: 1 <sisj>; 2 <ss>; 4 <mrule>
sym_lm=0     # 0=max(S(S+1))  1=max(J(J+1))  see doc/sym_tU.txt
sym_ud=+1    # spin-inversion (+1,-1,0=off), only used for nu==nd
sym_k= 0 0 0 # eigenvalues ki of lattice-symmetries (-n to skip n symmetries)
#            #   -999999 and below skips all symmetries, similar to SIGUSR2
nud=6,34     # number of up and down spins, defines matrix size
param= 1.0, 0.0   # p1, p2, p3 ...  alternative mode: p1= 1.0\n p2=0.0
a0   # start computation
#    # a0=lanczos a2=2x2diag a4=fulldiag +8=test
#    #   +16=rekursiv_serial_algo(parallel version ToDo) 
#    #   +32=old_slow_parallel_ns (default will be auto switching 2013-04)
#!date           # execute date-command
# show multithread CPU balance at end:
#!ps -u $USER -o psr,pcpu,time,bsdtime,etime,minflt,majflt,rsz,vsz,cmd -m
#!ps -u $USER -L -opsr,comm,time,pid,ppid,lwp,minflt # pt: same PID, LWP differs
!if grep "^40\ [\ 1][48]0\ 0" daten.def;then grep "^#.*E0=" daten.i;fi
# TEST_JJ_square 6 -2 2 6 q0:
#   nud=2,38  E0= 12.10565846 ZMag= 0.20250000 n1=11 17s
#   nud=6,34  E0= -2.11313499 ZMag= 0.12250000 SMag= 0.13653284 n1=24339 42s
#   nud=8,32  E0= -8.22686823 ZMag= 0.09000000 56s  SH=0.14m    n1=482e3
#   nud=8,32  E0= -5.62463429 sym_k= 2 1                        n1=480948
#   nud=10,30 E0=-13.57780123 ZMag= 0.06250000 4.6m SH=1.9m     n1=5.3e6
#   nud=12,28 E0=-18.11159087 ZMag= 0.04106732  34m SH=15m,10GB n1=35e6
#   nud=14,26 E0=-21.77715233        31m*16 SH=16*14m,48GB n1=145e6 nzx=38.333
#!grep -A7 TEST_JJ daten.i
